---

- name: update apt cache
  apt:
    update_cache: true
  ignore_errors: true
  when: ansible_os_family | lower == 'debian'

- block:
    - name: update yum cache
      yum:
        update_cache: true
      ignore_errors: true
      when: ansible_distribution_major_version | int <= 7

    - name: update dnf cache
      dnf:
        update_cache: true
      ignore_errors: true
      when: ansible_distribution_major_version | int >= 8

  when: ansible_os_family | lower == 'redhat'

- name: ensure additional packages are installed
  package:
    name: "{{ common_additional_packages }}"
    state: present

- name: ensure needed packages are installed
  package:
    name: "{{ common_default_packages }}"
    state: present

- name: disable IPv6
  copy:
    dest: /etc/sysctl.d/10-disable-ipv6.conf
    mode: 0640
    content: |
      net.ipv6.conf.all.disable_ipv6 = 1
  when: common_disable_ipv6

- name: set timezone to {{ common_timezone }}
  # become: true
  timezone:
    name: "{{ common_timezone }}"
  no_log: true
  ignore_errors: true

- name: Make sure Ansible local facts directory exists
  file:
    dest: /etc/ansible/facts.d
    state: directory
    owner: root
    group: root
    mode: 0755

- name: update /etc/bash.bashrc
  template:
    src: bash.bashrc.j2
    dest: /etc/bash.bashrc
    mode: 0644
  when: ansible_os_family | lower == 'debian'

- name: update /etc/skel/.bashrc
  template:
    src: skel_bashrc.j2
    dest: /etc/skel/.bashrc
    mode: 0644

- name: update /root/.bash_profile
  template:
    src: bash_profile.j2
    dest: /root/.bash_profile
    mode: 0640

# - name: add subdomains to /etc/hosts
#   template:
#     src: templates/hosts.j2
#     dest: /etc/hosts
#     mode: 0644
# #  when: custom_hosts is defined and custom_hosts | count != 0

- include_tasks: fqdn.yml
